;
; Effectus / MADS equates
; Version 0.0.16 Beta
;
; Source code assembled with Mads 1.9.3
;

; ******************************
; CIO equates
; ******************************
IOCB  equ $0340
ICHID equ $0340
ICDNO equ $0341
ICCOM equ $0342
ICSTA equ $0343
ICBAL equ $0344
ICPTL equ $0346
ICPTH equ $0347
ICBLL equ $0348
ICBLH equ $0349
ICAX1 equ $034A
ICAX2 equ $034B
CIOV  equ $E456

; ******************************         
; SOUND equates                          
; ******************************         
AUDF1  equ $D200  ; audio 1 freq.      
AUDC1  equ $D201  ; audio 1 control    
AUDCTL equ $D208  ; audio control
SKCTL  equ $d20f  ; Kontrola zlacza szeregowego (Z)   

; ******************************
; Game controller equates
; ******************************
STICK0 equ $278
STICK1 equ $279
STRIG0 equ $284
STRIG1 equ $285
PADDL0 equ $270
PADDL1 equ $271
PADDL2 equ $272
PADDL3 equ $273
PTRIG0 equ $27C
PTRIG1 equ $27D
PTRIG2 equ $27E
PTRIG3 equ $27F

; ******************************
; Other equates
; ******************************
COLORO equ $02C4
COLCRS equ $55
ROWCRS equ $54
ATACHR equ $02FB
RANDOM equ $D20A
STORE1 equ $CB   ; Temporary 8-bit variable
STORE2 equ $CC   ; Temporary 8-bit variable
STORE3 equ $CD   ; Temporary 8-bit variable
STORE4 equ $CE   ; Temporary 8-bit variable
eol    equ $9b   ; End of Line
eof    equ $88   ; End of File
maxlen equ $ff

* Adresy procedur OS
setvblv  equ $c272	; Ustawianie wektorow do procedur NMI
exitvbl  equ $c28a	; Zakonczenie Vblank (skok po opoznionym)
fasc     equ $d8e6	; FP na ATASCII
ifp      equ $d9aa	; Liczba calkowita na FP (zmiennoprzecikowa)
eoutch   equ $f2b0	; Wypisz znak

dlivec   equ $200       ;Wektor do przerwania DLI
tim2cnt  equ $21a	; (2) Timer #2 OS -licznik
tim2vec  equ $228	; (2) Timer #2 OS -wector skoku
dmactl   equ $22f       ;Kontrola DMA
dlstl    equ $230       ;Wektor do Display list
gtiactl  equ $26f       ;Kontrola GTIA
colpm0   equ $2c0       ;Rejestr koloru gracza/pocisku #0 
colpm1   equ $2c1       ;Rejestr koloru gracza/pocisku #1 (c)
colpm2   equ $2c2       ;Rejestr koloru gracza/pocisku #2
colpm3   equ $2c3       ;Rejestr koloru gracza/pocisku #3
color0   equ $2c4       ;Rejestr koloru 0
color1   equ $2c5       ;Rejestr koloru 1
color2   equ $2c6       ;Rejestr koloru 2    (cienie)
color3   equ $2c7       ;Rejestr koloru 3
colbak   equ $2c8       ;Rejestr koloru tla
runad    equ $2e0       ;Wektor do startu programu
initad   equ $2e2       ;Wektor do inicjalizacji programu
chbas    equ $2f4       ;Starszy bajt zestawu znakow (cien)
;key      equ $2fc       ;Kod ostatnio nacisnietego klawisza

lbuff    equ $580       ; Bufor cyfr w ATASCII po zmianie z FP
hposp0   equ $d000      ; Pozycja pozioma gracza  0
hposp1   equ $d001      ; Pozycja pozioma gracza  1
hposp2   equ $d002      ; Pozycja pozioma gracza  2
hposp3   equ $d003      ; Pozycja pozioma gracza  3
hposm0   equ $d004      ; Pozycja pozioma pocisku 0
hposm1   equ $d005      ; Pozycja pozioma pocisku 1
hposm2   equ $d006      ; Pozycja pozioma pocisku 2
hposm3   equ $d007      ; Pozycja pozioma pocisku 3
sizep0   equ $d008      ; Szerokosc gracza 0
sizep1   equ $d009      ; Szerokosc gracza 1
sizep2   equ $d00a      ; Szerokosc gracza 2
sizep3   equ $d00b      ; Szerokosc gracza 3
sizem    equ $d00c      ; Szerokosc pociskow
grafp0   equ $d00d      ; Rejestr przejsciowy pamieci gracza 0
trig0    equ $d010      ; Stan przycisku joy-a 0 (0=FIRE)
trig1    equ $d011      ; Stan przycisku joy-a 1 (0=FIRE)
grafm    equ $d011      ; Rejestr przejsciowy pamieci pociskow
col_p0   equ $d012      ; Rejestr koloru gracza/pocisku 0
col_p1   equ $d013      ; Rejestr koloru gracza/pocisku 1
col_p2   equ $d014      ; Rejestr koloru gracza/pocisku 2
col_p3   equ $d015      ; Rejestr koloru gracza/pocisku 3
col_0    equ $d016      ; Rejestr koloru 0
col_1    equ $d017      ; Rejestr koloru 1
col_2    equ $d018      ; Rejestr koloru 2
col_3    equ $d019      ; Rejestr koloru 3
col_b    equ $d01a      ; Rejestr koloru tla
gtictl   equ $d01b      ; Kontrola GTIA (wtornik w GTIACTL)
vdelay   equ $d01c      ; Obnizenia obiektu PM/G o 1 punkt
pmcntl   equ $d01d      ; Kontrola PM/G
skstat   equ $d20f      ; Status zlacza szeregowego   (O)
porta    equ $d300      ; Port A ukladu PIA
portb    equ $d301      ; Port B ukladu PIA
dmactrls equ $d400      ; Kontrola DMA
dlptr    equ $d402      ; Adres Display List (wtornik w DLSTL)
hscrol   equ $d404      ; Sterowanie scroll-em poziomym znakow
vscrol   equ $d405      ; Sterowanie scroll-em w pionie
pmbase   equ $d407      ; Adres grafiki PMG
chbase   equ $d409      ; Starszy bajt zestawu znakow
wsync    equ $d40a      ; Czekaj na nastepna linie!
vcount   equ $d40b      ; Numer wyswietlanej lini ekranu/2
nmien    equ $d40e      ; Sterowanie NMI
nmist    equ $d40f      ; Status przerwan NMI
nmivec   equ $fffa      ; Wektor procedury przerwania NMI
resetvec equ $fffc      ; Wektor procedury przerwania RESET

inbufp	=	$f3
fld0r	=	$dd89
fr0	=	$d4

byte1    equ $d0
byte2    equ $d1
openc    equ $3    ; Otworz kanal
closc    equ $c    ; Zamknij kanal
plotc    equ $9    ; Narysuj punkt
drawc    equ $11   ; Narysuj linie

;
DVDL=$C0 ;LOW PART OF DIVIDEND
DVDH=$C1 ;HIGH PART OF DIVIDEND 
QUOT=$C2 ;QUOTIENT
DIVS=$C3 ;DIVISOR 
;
